#!/bin/bash

__LOG_ROTATE(){

	local rules="${1:-wildix/default}"
	local dir="/etc/logrotate.d/"

	for rotate_rule in ${rules}; do
		if [ -f "${dir}${rotate_rule}" ]; then
			/usr/sbin/logrotate "${dir}${rotate_rule}"
		fi
	done

}

case "$1" in
	cron) __LOG_ROTATE "wms erlang wildix/default" ;;
	*) __LOG_ROTATE "${1}" ;;
esac
